#!/bin/sh
#
# chkconfig: S 38 0
#
# Sets the hostname to the serial number of the device
# prepending 'spx-hmp-'

case "$1" in
    start|restart)
    if [ ! -e /etc/hostname ]; then
	echo -n "Setting the hostname to serial number"
	_h=`sed -e '/^Serial\s\+/{s,.*:\s\+0000,,p};d' /proc/cpuinfo` && \
	    echo spx-hmp-$_h> /etc/hostname
	echo "."
	unset _h
    fi
    ;;
    stop|reload|force-reload)
    ;;
esac



