#!/bin/sh
#
# License: Copyright 2007 SpinetiX S.A. This file is licensed
#          under the terms of the GNU General Public License version 2.
#          This program is licensed "as is" without any warranty of any
#          kind, whether express or implied.
#
# Copyright 1999-2003 MontaVista Software, Inc.
# Copyright 2002, 2003, 2004 Sony Corporation
# Copyright 2002, 2003, 2004 Matsushita Electric Industrial Co., Ltd.
#
### BEGIN INIT INFO
# Required-Start:
# Required-Stop:
# Should-Start:
# Should-Stop:
# Default-Start: S
# Default-Stop: 0 1 2 3 4 5 6
# Short-Description: Cleans /var/run and /var/lock dirs
# Description: Cleans /var/run and /var/lock dirs
### END INIT INFO
# chkconfig: S 35 0

# Init script information
INIT_NAME=config
DESC=""

case "$1" in
    start)
        echo -n 'Cleaning /var/lock'
	find /var/lock -mindepth 1 -maxdepth 1 -print0 | xargs -0r rm -rf --
	if [ $? -eq 0 ]; then
	    echo '.'
	else
	    echo ' failed'
	fi
        echo -n 'Cleaning /var/run'
	find /var/run ! -type d ! -name utmp ! -name random-seed -print0 | \
	    xargs -0r rm -f --
	if [ $? -eq 0 ]; then
	    echo '.'
	else
	    echo ' failed'
	fi
    ;;
    stop)
    ;;
esac

