<?php
if (isset($_POST['report']) || isset($_GET['report']) || isset($_POST['report_ext']) || isset($_GET['report_ext'])){
	
	$inf=file_get_contents("/proc/cpuinfo");
	$serial="000D50000000";
	if (preg_match("/Serial\W+0000(\w+)/",$inf,$match))
		$serial=$match[1];
	
	header("Content-type: application/x-gzip");
	
	if ( isset($_POST['report_ext']) || isset($_GET['report_ext']) ){
		header('Content-Disposition: attachment; filename="spxreport-ext-'.$serial.'.tar.gz"');
		passthru("/usr/sbin/spxreport -x", $ret);
	} else { 
		header('Content-Disposition: attachment; filename="spxreport-'.$serial.'.tar.gz"');
		passthru("/usr/sbin/spxreport", $ret);
	}
	//echo $ret;
	die();
}


$tabs=array("Basic","Advanced");
$title="Maintenance";
include ("prolog.php");

if (isset($_GET['reboot']) || isset($_POST['reboot']) || isset($_POST['rebootrecovery']) || isset($_GET['rebootrecovery']) ){
	if (isset($_POST['rebootrecovery']) || isset($_GET['rebootrecovery'])){
		exec('/etc/init.d/bootcount noreset');
		exec('echo 100 > /proc/bootcount');
		echo "<h2>Diagnostic Mode</h2>";
		echo "<br/><p>The system will reboot in diagnostic (i.e., recovery) mode: ";
		echo "the network address should be the same as the one currently used and failing that one in the range 192.168.1.10 to 192.168.1.29.</p>";
		echo "<p>Please use the <a href='/'>following link</a> to refresh the interface.</p>\n";
		shutdown("diagnostic mode restart", true);
	} else {
		shutdown("explicit restart", true);
	}
} else {
	
if (isset($_POST['console_ssh'])){
	if ($_POST['console_ssh']=='Start Services')
		exec('/etc/init.d/ssh-delayed start');
	else
		exec('/etc/init.d/ssh-delayed stop');
}

if (isset($_POST['resetcontent'])){
	exec('/etc/raperca/resetcontent');
}
if (isset($_POST['clear_logs'])){
	exec('rm -rf ../log/*');
	shutdown("clearing player logs");
}
if (isset($_POST['clear_cache'])){
     if (touch('/var/spool/raperca/clean-cache')) {
	  exec('sync'); // make sure the clean-cache file is on stable storage
	  exec('rm -rf ../cache/*'); // this may leave raperca in an inconsistent state
	  shutdown("clearing player cache"); // cache cleanup will be finalized on restart
     } else {
	  echo "<h3>Error</h3>\nFailed creating cache cleanup job\n";
     }
}
if (isset($_POST['clear_ntp'])){
     if (touch('/var/spool/spxutils/ntpreset')) {
	  shutdown("clearing clock calibration"); // clear will be done on restart
     } else {
	  echo "<h3>Error</h3>\nFailed creating clock calibration clear job\n";
     }
}

if (isset($_POST['instalation_mode']) || isset($_GET['instalation_mode'])){
	if (isset($_POST['instalation_mode'])) $mode=$_POST['instalation_mode'];
	else $mode=$_GET['instalation_mode'];
	
	if ($mode=='Enable'){
		file_put_contents("/var/run/reboot-delayed","");
	}else {
		if (!file_exists("/var/run/reboot-pending"))
			unlink("/var/run/reboot-delayed");
	}
	
}

if ($tabIdx==1){
?>
<form action="systemconfig.php" method="post" >
<h2>System Restart</h2>
<br/>
<input type="submit" value="Restart Now" name="reboot" /><br/>
<br/>
<h2>Restore Default Content</h2>
<br/>
Pressing "Restore Default Content" will remove all content from the local storage and replace it by the factory default content.<br/>
<br/>
<input type="submit" value="Restore Default Content" name="resetcontent" /><br/>
<br/>

<h2>Reporting</h2>
<br/>
Before contacting SpinetiX support team (<a href="mailto://support@spinetix.com">support@spinetix.com</a>), please generate a status report with all display attached to the HMP100.
<br/>Pressing on the "Get Report" button will generate a file with all information needed by the support team to help you.<br/><br/> 
<input type="submit" value="Get Report" name="report"/>
<br/> <br/>
</form>
<?php
}else{
?>
<form action="systemconfig.php" method="post" >
<h2>Diagnostic Mode Restart</h2>
<br/>
	  Pressing "Restart Now" will restart the HMP100 in diagnostic (i.e., recovery) mode with the same network address, if one has been configured, 
     or with a free IP address in the range of 192.168.1.10 to 192.168.1.29 otherwise.<br/>
<br/>
<input type="submit" value="Restart Now" name="rebootrecovery" /><br/>
<br/>  

<h2>Installation Mode</h2>
<br/>
	 <p>When the installation mode is enabled the HMP100 will NOT automatically reboot to activate configuration changes.</p> 
	 <p>The administrator must manually reboot the HMP100 at the end of the installation.</p>
<?php
if ($installationmode){
	if (!file_exists("/var/run/reboot-pending")) 
		echo "<input type='submit' value='Disable' name='instalation_mode' /><br/>";
} else
	echo "<input type='submit' value='Enable' name='instalation_mode' /><br/>";
?>
<br/>
<h2>Remote Support</h2>
<?php
	$str=exec('/etc/init.d/ssh-delayed status', $dummy, $ret);
	if ($ret==0){
		echo "<br/>Services for remote SpinetiX support are running.<br/><br/>";
		echo "<input type='submit' value='Stop Now' name='console_ssh' /> <br/><br/>";
	}else{
		echo "<br/>Start services for remote SpinetiX support on the HMP100 for diagnostic and debugging purposes.<br/><br/>\n";
		echo "<input type='submit' value='Start Services' name='console_ssh' /> <br/><br/>";
		echo "Note: the first time it takes a considerable amount of time to start support services, please be patient.<br/><br/>\n";
	}
?>
<h2>Clear Data</h2>
<p>
Note: Clearing any data will restart the HMP100.</p>
<input type="submit" value="Clear All Logs" name="clear_logs" />
<input type="submit" value="Clear Cache" name="clear_cache" />
<input type="submit" value="Clear Clock Calibration" name="clear_ntp" /><br/>
<br/>  
<input type='hidden' name='tabs' value='2' />
</form>
<?php
}
}
include ("final.php");
?>
