<?php
/*
 * Created on 6 Aug 2007 
 * By julien reichel <julien.reichel@spinetix.com>
 */
$title="Status";
include ("prolog.php");
 
$spxNS = 'http://www.spinetix.com/namespace/1.0/spx';
$svgNS = 'http://www.w3.org/2000/svg';
$xlinkNS = 'http://www.w3.org/1999/xlink';

?>
<img src="device_hmp100.jpg" width="550" height="323" alt="SpinetiX HMP100" usemap="#advancedMap"/>
<map id="advancedMap" name="advancedMap">
<area shape="circle" 
coords="433,126,7" 
alt="Advanced settings menu"
href="welcome.php?advanced=1" />
</map>
<?php

if ($safemode){
	print ("<h2 class='red'>Warning: The HMP100 is running in Safe Mode</h2><br/><br/>");
}

if (preg_match("/Revision\W+:\s+(\w+)/",$cpuinfo,$match)){
	$val=hexdec($match[1]);
	$hwrdRevision=floor($val/65536).".".($val % 65536);
}else
	$hwrdRevision="x.x";
print("<h2>Serial Number : $serialstring (rev. $hwrdRevision)</h2>\n");
?>
<table>
<?php
function getMAC(){
	$info=`ifconfig eth0`;
	$macp=strpos($info,"HWaddr ");
	if ($macp===false) return "";
	$macp=$macp+strlen("HWaddr ");
	$mac = substr($info, $macp, strpos($info," ",$macp)-$macp);
	return $mac;
}

$ipstr=exec('ip -o -f inet addr show dev eth0');

$res=preg_match("/inet\s+([0-9.]+)/", $ipstr, $ip);
if ($res==1)
	$ip=$ip[1];
else 
	$ip="Not found";
	
$config_name="/srv/raperca/spxconfig.xml";
//$config_name="../config.xml";
$spxconf=file_get_contents($config_name);
$deviceName="";
$screenId="";
if ($spxconf) {
	$domdoc = new DOMDocument;
	$domdoc->loadXML($spxconf);
	$multiscreen=$domdoc->getElementsByTagName("multiscreen");
	if ($multiscreen->length==1){
		$multiscreen=$multiscreen->item(0);
		if ($multiscreen->hasAttribute("screenId")) $screenId=$multiscreen->getAttribute("screenId");
	}
	$reporting=$domdoc->getElementsByTagName("reporting");
	if ($reporting->length==1){
		$reporting=$reporting->item(0);
		if ($reporting->hasAttribute("deviceName")) $deviceName=$reporting->getAttribute("deviceName");
	}
}
if ($deviceName=="") $deviceName=$serial;
if ($screenId=="") $screenId=$serial;

echo "<tr><td>IP : </td><td>", htmlspecialchars($ip), "</td></tr>";
echo "<tr><td>MAC : </td><td>", htmlspecialchars(getMAC()), "</td></tr>";
echo "<tr><td>Device name : </td><td>", htmlspecialchars($deviceName), "</td></tr>";
echo "<tr><td>Multiscreen ID : </td><td>", htmlspecialchars($screenId), "</td></tr>";

?> 
</table>

<?php

$bufr = file_get_contents('/proc/bus/usb/devices');

$bufe = explode("\n", $bufr);
$usbList=array();
$devnum = 0;
foreach( $bufe as $buf ) {
	if (preg_match('/^T/', $buf)) {
    	$devnum += 1;
	    $usbList[$devnum] = "";
	} elseif (preg_match('/^S:/', $buf)) {
    	list($key, $value) = split(': ', $buf, 2);
    	list($key, $value2) = split('=', $value, 2);
	    if (trim($key) != "SerialNumber" && trim($key) != "Manufacturer") {
    		$usbList[$devnum] .= " " . trim($value2);
		}
    } 
}

$hasUSB=false;
foreach ($usbList as $usbname){
	$usb=preg_replace("/USB/i",'',$usbname);
	if (!strpos($usb,"Hub") && !strpos($usb,"EHCI") && !strpos($usb,"UHCI") && strlen($usb)>1){ // do not print the hubs
		if (!$hasUSB){
			echo "<h2>USB Devices: </h2>\n<table>\n";
			$hasUSB=true;
		} 
		print("<tr><td>". htmlspecialchars($usb). "</td></tr>");
	}
}
if ($hasUSB) echo "</table>";

?>

<?php
include ("final.php");
?>
