<?php
$title="Files Management"; 
include ("prolog.php");

echo "<h2>Local files: </h2>";

$path=realPath("../content");
$free=disk_free_space($path);
$tot=disk_total_space($path);
echo "Free space ".(floor($free/10000000)/100)." Gbytes. Total space ".(floor($tot/10000000)/100)." Gbytes.<br/>";
?>
<form action="files.php" method="post" enctype="multipart/form-data">
<table>
<tr><td>Name</td><td>Delete</td><td>Rename</td></tr>
<?php

function full_rmdir( $dir ) {
    $d = dir( $dir );
    while ( FALSE !== ( $entry = $d->read() ) ){
        if ( $entry == '.' || $entry == '..' ) continue;
        $entry = $dir . '/' . $entry;
        if ( is_dir( $entry ) ){
            if ( !full_rmdir( $entry ) ) return FALSE;
            continue;
        }
        if ( !unlink( $entry ) ){
            $d->close();
            return FALSE;
        }
    }
    $d->close();
    rmdir( $dir );
    return TRUE;
}

if (array_key_exists("root",$_POST))
	$root=$_POST["root"];
elseif (array_key_exists("root",$_GET))
	$root=$_GET["root"];
else
	$root="/";
$realroot="../content".$root;

foreach($_POST as $name=>$value){
	$key="rename_";
	$n=strlen($key);
	if (strncmp ($name,$key,$n)==0 && $value){
		$filename=str_replace("_xxxdotxxx_",".",substr($name,$n));
		rename($realroot.$filename,$realroot.$value);
	}
	$key="delete_";
	$n=strlen($key);
	if (strncmp ($name,$key,$n)==0){
		$file=$realroot.str_replace("_xxxdotxxx_",".",substr($name,$n));
		if (is_dir($file)) full_rmdir($file);
		else unlink($file);
	}
	if ($name=="new_dir" && $value){
		mkdir($realroot.$value );
	}
}

if (array_key_exists("new_file",$_FILES)){
	if ($_FILES["new_file"]["error"]>0 && $_FILES["new_file"]["name"]){
	     echo "Error: " . htmlspecialchars($_FILES["new_file"]["error"]) ." while uploading: ". htmlspecialchars($_FILES["new_file"]["name"]) ."<br />";
	}else{
		move_uploaded_file($_FILES["new_file"]["tmp_name"],$realroot.$_FILES["new_file"]["name"]);
	}
}
	
$files=scandir($realroot);
if ($root!="/"){
     echo "<input type='hidden' name='root' value='", htmlspecialchars($root), "'/>";
	$up=substr($root,0,strrpos($root,'/',-2)+1);
	echo "<tr><td><a href='files.php'>/</a></td></tr>";
	echo "<tr><td><a href=\"", htmlspecialchars("files.php?root=". urlencode($up)), "\">..</a></td></tr>";
}
foreach ($files as $file){
	if ($file[0]!="."){
		if (is_dir($realroot.$file)){
			$file.="/";
			$link="files.php?root=". urlencode($root.$file);
		}else
		     $link=urlencode("raperca/content".$root.$file);
		$fileq=str_replace(".","_xxxdotxxx_",$file);
		echo "<tr>";
		echo "<td><a href=\"", htmlspecialchars($link), "\"> ", htmlspecialchars($file), "</a></td>";
		echo "<td><input type='checkbox' name=\"", htmlspecialchars("delete_$fileq"), "\" /></td>";
		echo "<td><input size='20' type='text' name=\"", htmlspecialchars("rename_$fileq"), "\"/></td>";
		echo "</tr>\n";
	}
} 
 
echo "<tr><td> </td></tr><tr>";
echo "<td>New file:</td><td/><td><input size='20' type='file' name='new_file' /></td>";		
echo "</tr>\n";
echo "<tr>";
echo "<td>New Collection:</td><td/><td><input size='20' type='text' name='new_dir'/></td>";
echo "</tr>\n";
echo "</table>\n";
echo "<input type='submit' value='Update changes' />\n";
echo "</form>\n";
include "final.php";
?>


