<?php

  /*
   * Created on February 6 2008 by
   * Diego Santa Cruz <Diego.SantaCruz@spinetix.com>
   *
   * Copyright (c) 2008-2009 SpinetiX S.A.
   */

// Copies the given source file or data data to the destination file
// under the failsafe-data filesystem. If srcdata is FALSE the
// destination file is removed instead. If isfile is true srcdata is a
// file name, otherwise it is the data to copy. Returns false if the
// failsafe-data data could not be updated.
function setSafeModeData($dstfile, $srcdata, $isfile = TRUE){

    if ($srcdata) {
	if ($isfile) {
	    $args = "copy " . escapeshellarg($dstfile) . " " . escapeshellarg($srcdata);
	} else {
	    $args = "set " . escapeshellarg($dstfile) . " " . escapeshellarg($srcdata);
	}
    } else {
	$args = "remove " . escapeshellarg($dstfile);
    }

    exec("failsafe-data " . $args, $out, $status);
    return ($status == 0);

}

?>
