#!/bin/sh
#
# License: Copyright 2008 SpinetiX S.A. This file is licensed
#          under the terms of the GNU General Public License version 2.
#          This program is licensed "as is" without any warranty of any
#          kind, whether express or implied.
#
# Copyright 1999-2003 MontaVista Software, Inc.
# Copyright 2002, 2003, 2004 Sony Corporation
# Copyright 2002, 2003, 2004 Matsushita Electric Industrial Co., Ltd.
#
### BEGIN INIT INFO
# Required-Start: udev
# Required-Stop:
# Should-Start:
# Should-Stop:
# Default-Start: S
# Default-Stop: 0 1 2 3 4 5 6
# Short-Description: Add extra device nodes not created by udev
# Description: Add extra device nodes not created by udev
### END INIT INFO
# chkconfig: S 05 0

# Init script information
INIT_NAME=spxdevs
DESC="Extra devices"

case "$1" in
    start)
	echo -n "$DESC: "
	echo -n "audio-dev"
	if ! test -c /dev/dsp; then
	    rm -f /dev/dsp && mknod -m 0600 /dev/dsp c 14 3
	    RET=$?
	else
	    RET=0
	fi
	if [ $RET -ne 0 ]; then
	    echo " failed ($RET).";
	else
	    echo "."
	fi
	;;
    stop)
	;;
esac
